The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Add Domain Name to IPS Inspection Allowlist

Prev Next

This URL adds domain name to IPS inspection allowlist.

Resource URL

POST /domainnameexceptions/ipsinspectionallowlist

Request Parameters

URL Parameters: None

Payload Request Parameters:

Field Name

Description

Data Type

Mandatory

domainName

Name of the new domain

String

Yes

State

State of the domain. Can either be "E" or "D".

String

No

comment

Description of the execution

String

No

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name

Description

Data Type

createdResourceId

Unique Id of created IPS inspection allowlist

Number

Example

Request

POST https://<NSM_IP>/sdkapi/domainnameexceptions/ipsinspectionallowlist

Payload

{   
 
“state”: “E”,
"domainName": "www.google1.com", 
"comment": "updated domain"
}

Response

{   
 "createdResourceId": 10010
}

Error Information

Following error codes are returned by this URL:

S.No

HTTP Error Code

SDK API errorId

SDK API errorMessage

1

500

1001

Internal error message: Internal server error

2

500

1001

Internal error message: Domain name field is required

3

500

1001

Invalid domain name. The length should be a maximum of 67 characters.

4

500

1001

Invalid domain name

5

500

1001

Duplicate domain name